Index: /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18213)
+++ /branches/comu-ver2/data/class/pages/admin/design/LC_Page_Admin_Design.php	(revision 18216)
@@ -25,7 +25,11 @@
 require_once(CLASS_PATH . "pages/LC_Page.php");
 
+/** ターゲットID 未使用 */
+define('TARGET_ID_UNUSED', 0);
+
 /**
  * デザイン管理 のページクラス.
  *
+ * ターゲットID 0:未使用 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部  5:画面上部 6:画面下部 7:ヘッダより上 8:フッタより下 9:HEADタグ内
  * @package Page
  * @author LOCKON CO.,LTD.
@@ -162,15 +166,12 @@
             // ブロックの順序を取得し、更新を行う
             foreach($arrUpdBlocData as $key => $val){
+                if ($arrUpdBlocData[$key]['target_id'] == TARGET_ID_UNUSED) {
+                    continue;
+                }
+
                 // ブロックの順序を取得
                 $bloc_row = $this->lfGetRowID($arrUpdBlocData, $val);
                 $arrUpdBlocData[$key]['bloc_row'] = $bloc_row;
                 $arrUpdBlocData[$key]['page_id']    =  $page_id;    // ページID
-
-                /*
-                 ターゲットID 1:レフトナビ 2:ライトナビ 3:イン画面上部 4:メイン画面下部  5:画面上部 6:画面下部 7:ヘッダより上 8:フッタより下 9:HEADタグ内 10:欄外
-                 */
-                if ($arrUpdBlocData[$key]['target_id'] == 10) {
-                    $arrUpdBlocData[$key]['bloc_row'] = "0";
-                }
 
                 // insert文生成
@@ -253,9 +254,8 @@
         }
 
-
         // 未使用のブロックデータを追加
         foreach($arrBloc as $key => $val){
             if (!$this->lfChkBloc($val, $tpl_arrBloc)) {
-                $val['target_id'] = 10;  // 未使用に追加する
+                $val['target_id'] = TARGET_ID_UNUSED; // 未使用に追加する
                 $tpl_arrBloc = $this->lfSetBlocData($arrBloc, $val, $tpl_arrBloc, $cnt);
                 $cnt++;
Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 18206)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 18216)
@@ -34,15 +34,7 @@
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,1,2,3,'guide');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,1,3,1,'cart');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,10,4,0,'search_products');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,10,5,0,'news');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,10,6,0,'login');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (2,10,7,0,'best5');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,1,2,'category');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,2,3,'guide');
 INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,1,3,1,'cart');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,10,4,0,'search_products');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,10,5,0,'news');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,10,6,0,'login');
-INSERT INTO dtb_blocposition (page_id,target_id,bloc_id,bloc_row,filename) VALUES (3,10,7,0,'best5');
 
 INSERT INTO dtb_csv(csv_id,col,disp_name,rank,create_date,update_date) VALUES (1,'product_id','商品ID',1,now(),now());
@@ -741,14 +733,14 @@
 INSERT INTO mtb_db VALUES ('1', 'PostgreSQL',0);
 INSERT INTO mtb_db VALUES ('2', 'MySQL',1);
-INSERT INTO mtb_target VALUES ('1', 'LeftNavi',0);
-INSERT INTO mtb_target VALUES ('2', 'MainHead',1);
-INSERT INTO mtb_target VALUES ('3', 'RightNavi',2);
-INSERT INTO mtb_target VALUES ('4', 'MainFoot',3);
-INSERT INTO mtb_target VALUES ('5', 'TopNavi',4);
-INSERT INTO mtb_target VALUES ('6', 'BottomNavi',5);
-INSERT INTO mtb_target VALUES ('7', 'HeadNavi',6);
-INSERT INTO mtb_target VALUES ('8', 'HeaderTopNavi',7);
-INSERT INTO mtb_target VALUES ('9', 'FooterBottomNavi',8);
-INSERT INTO mtb_target VALUES ('10', 'Unused',9);
+INSERT INTO mtb_target VALUES ('0', 'Unused',0);
+INSERT INTO mtb_target VALUES ('1', 'LeftNavi',1);
+INSERT INTO mtb_target VALUES ('2', 'MainHead',2);
+INSERT INTO mtb_target VALUES ('3', 'RightNavi',3);
+INSERT INTO mtb_target VALUES ('4', 'MainFoot',4);
+INSERT INTO mtb_target VALUES ('5', 'TopNavi',5);
+INSERT INTO mtb_target VALUES ('6', 'BottomNavi',6);
+INSERT INTO mtb_target VALUES ('7', 'HeadNavi',7);
+INSERT INTO mtb_target VALUES ('8', 'HeaderTopNavi',8);
+INSERT INTO mtb_target VALUES ('9', 'FooterBottomNavi',9);
 INSERT INTO mtb_review_deny_url VALUES ('0', 'http://',0);
 INSERT INTO mtb_review_deny_url VALUES ('1', 'https://',1);