Index: /branches/version-2_4/data/Smarty/templates/default/admin/basis/delivery.tpl
===================================================================
--- /branches/version-2_4/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 16582)
+++ /branches/version-2_4/data/Smarty/templates/default/admin/basis/delivery.tpl	(revision 18228)
@@ -27,105 +27,105 @@
 <input type="hidden" name="mode" value="edit">
 <input type="hidden" name="deliv_id" value="">
-	<tr valign="top">
-		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
-			<!--▼SUB NAVI-->
-			<!--{include file=$tpl_subnavi}-->
-			<!--▲SUB NAVI-->
-		</td>
-		<td class="mainbg">
-			<!--▼登録テーブルここから-->
-			<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
-				<!--メインエリア-->
-				<tr>
-					<td align="center">
-						<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
-							<tr><td height="14"></td></tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-								<td bgcolor="#cccccc">
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-										<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->配送業者登録</span></td>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
-									</tr>
-								</table>
+    <tr valign="top">
+        <td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
+            <!--▼SUB NAVI-->
+            <!--{include file=$tpl_subnavi}-->
+            <!--▲SUB NAVI-->
+        </td>
+        <td class="mainbg">
+            <!--▼登録テーブルここから-->
+            <table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
+                <!--メインエリア-->
+                <tr>
+                    <td align="center">
+                        <table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
+                            <tr><td height="14"></td></tr>
+                            <tr>
+                                <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
+                            </tr>
+                            <tr>
+                                <td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+                                <td bgcolor="#cccccc">
+                                <table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+                                    <tr>
+                                        <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
+                                    </tr>
+                                    <tr>
+                                        <td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+                                        <td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->配送業者登録</span></td>
+                                        <td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+                                    </tr>
+                                    <tr>
+                                        <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
+                                    </tr>
+                                    <tr>
+                                        <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
+                                    </tr>
+                                </table>
 
-								<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
-									<tr align="center" bgcolor="#f2f1ec" class="fs12n">
-										<td width="223">配送業者</td>
-										<td width="222">名称</td>
-										<td width="50">変更</td>
-										<td width="50">削除</td>
-										<td width="130">移動</td>
-										
-									</tr>
-									<!--{section name=cnt loop=$arrDelivList}-->
-										<tr bgcolor="#ffffff" class="fs12n">
-											<td><!--{$arrDelivList[cnt].name|escape}--></td>
-											<td><!--{$arrDelivList[cnt].service_name|escape}--></td>
-											<td align="center"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit', 'deliv_id', <!--{$arrDelivList[cnt].deliv_id}-->); return false;">変更</a></td>
-											
-											<td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('delete', 'deliv_id', <!--{$arrDelivList[cnt].deliv_id}-->); return false;">削除</a></td>
-											<td align="center">
-											<!--{if $smarty.section.cnt.iteration != 1}-->
-											<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('up','deliv_id', '<!--{$arrDelivList[cnt].deliv_id}-->'); return false;">上へ</a>
-											<!--{/if}-->
-											<!--{if $smarty.section.cnt.iteration != $smarty.section.cnt.last}-->
-											<a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('down','deliv_id', '<!--{$arrDelivList[cnt].deliv_id}-->'); return false;">下へ</a>
-											<!--{/if}-->
-											</td>
-										</tr>
-									<!--{/section}-->
-								</table>
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-										<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-									</tr>
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-										<td bgcolor="#e9e7de" align="center">
-										
-										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
-											<tr>
-												<td><input type="button" name="subm2" value="配送業者<!--{if $smarty.const.INPUT_DELIV_FEE}-->・配送料<!--{/if}-->を追加" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit','','');" /></td>
-											</tr>
-										</table>
-										</td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
-									</tr>
-								</table>
-								</td>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-							</tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr><td height="30"></td></tr>
-						</table>
-					</td>
-				</tr>
-				<!--メインエリア-->
-			</table>
-			<!--▲登録テーブルここまで-->
-		</td>
-	</tr>
+                                <table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
+                                    <tr align="center" bgcolor="#f2f1ec" class="fs12n">
+                                        <td width="223">配送業者</td>
+                                        <td width="222">名称</td>
+                                        <td width="50">編集</td>
+                                        <td width="50">削除</td>
+                                        <td width="130">移動</td>
+                                        
+                                    </tr>
+                                    <!--{section name=cnt loop=$arrDelivList}-->
+                                        <tr bgcolor="#ffffff" class="fs12n">
+                                            <td><!--{$arrDelivList[cnt].name|escape}--></td>
+                                            <td><!--{$arrDelivList[cnt].service_name|escape}--></td>
+                                            <td align="center"><a href="<!--{$smarty.const.URL_DIR}-->" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit', 'deliv_id', <!--{$arrDelivList[cnt].deliv_id}-->); return false;">編集</a></td>
+                                            
+                                            <td align="center"><a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('delete', 'deliv_id', <!--{$arrDelivList[cnt].deliv_id}-->); return false;">削除</a></td>
+                                            <td align="center">
+                                            <!--{if $smarty.section.cnt.iteration != 1}-->
+                                            <a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('up','deliv_id', '<!--{$arrDelivList[cnt].deliv_id}-->'); return false;">上へ</a>
+                                            <!--{/if}-->
+                                            <!--{if $smarty.section.cnt.iteration != $smarty.section.cnt.last}-->
+                                            <a href="<!--{$smarty.server.PHP_SELF|escape}-->" onclick="fnModeSubmit('down','deliv_id', '<!--{$arrDelivList[cnt].deliv_id}-->'); return false;">下へ</a>
+                                            <!--{/if}-->
+                                            </td>
+                                        </tr>
+                                    <!--{/section}-->
+                                </table>
+                                <table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+                                    <tr>
+                                        <td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+                                        <td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
+                                        <td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+                                    </tr>
+                                    <tr>
+                                        <td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+                                        <td bgcolor="#e9e7de" align="center">
+                                        
+                                        <table border="0" cellspacing="0" cellpadding="0" summary=" ">
+                                            <tr>
+                                                <td><input type="button" name="subm2" value="配送業者<!--{if $smarty.const.INPUT_DELIV_FEE}-->・配送料<!--{/if}-->を追加" onclick="fnChangeAction('./delivery_input.php'); fnModeSubmit('pre_edit','','');" /></td>
+                                            </tr>
+                                        </table>
+                                        </td>
+                                        <td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+                                    </tr>
+                                    <tr>
+                                        <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
+                                    </tr>
+                                </table>
+                                </td>
+                                <td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+                            </tr>
+                            <tr>
+                                <td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
+                            </tr>
+                            <tr><td height="30"></td></tr>
+                        </table>
+                    </td>
+                </tr>
+                <!--メインエリア-->
+            </table>
+            <!--▲登録テーブルここまで-->
+        </td>
+    </tr>
 </form>
 </table>