Index: /branches/comu-ver2/patches/GoogleAnalytics_plugin.patch
===================================================================
--- /branches/comu-ver2/patches/GoogleAnalytics_plugin.patch	(revision 18226)
+++ /branches/comu-ver2/patches/GoogleAnalytics_plugin.patch	(revision 18230)
@@ -3,12 +3,14 @@
 --- html/user_data/plugins/plugin_menu.tpl	(リビジョン 0)
 +++ html/user_data/plugins/plugin_menu.tpl	(リビジョン 0)
-@@ -0,0 +1,33 @@
+@@ -0,0 +1,35 @@
 +<ul id="navi-plugin-menu" class="level1">
 +</ul>
 +<script type="text/javascript">
 +//<![CDATA[
++var host = (("https:" == document.location.protocol) ? "<!--{$smarty.const.SSL_URL}-->" : "<!--{$smarty.const.SITE_URL}-->");
++var pluginURL = host + '<!--{$smarty.const.USER_DIR}--><!--{$smarty.const.PLUGIN_DIR}-->';
 +$(function(){
-+	$.ajax({
-+    url: '<!--{$smarty.const.PLUGIN_URL}-->plugins.xml',
++        $.ajax({
++    url: pluginURL + 'plugins.xml',
 +    type: 'GET',
 +    dataType: 'xml',
@@ -26,5 +28,5 @@
 +               .appendTo('ul#navi-plugin-menu')
 +               .click(function() {
-+                   win03('<!--{$smarty.const.PLUGIN_URL}-->' + item_path 
++                   win03(pluginURL + item_path 
 +                          + '/index.php', 'plugins', '800','600');
 +                   return false;
@@ -54,12 +56,11 @@
 +++ html/user_data/plugins/google_analytics/sql/delete.sql	(リビジョン 0)
 @@ -0,0 +1,2 @@
-+DELETE FROM dtb_bloc WHERE filename = 'google_analytics';
-+DELETE FROM dtb_blocposition WHERE filename = 'google_analytics';
-\ No newline at end of file
++DELETE FROM dtb_bloc WHERE bloc_name = 'Google Analytics';
++DELETE FROM dtb_blocposition WHERE bloc_id = (SELECT bloc_id FROM dtb_bloc WHERE bloc_name = 'Google Analytics');
 Index: html/user_data/plugins/google_analytics/sql/insert.sql
 ===================================================================
 --- html/user_data/plugins/google_analytics/sql/insert.sql	(リビジョン 0)
 +++ html/user_data/plugins/google_analytics/sql/insert.sql	(リビジョン 0)
-@@ -0,0 +1,1 @@
+@@ -0,0 +1 @@
 +INSERT INTO dtb_bloc (bloc_name, tpl_path, filename, php_path, del_flg) VALUES ('Google Analytics', 'user_data/plugins/google_analytics/tpl/ga.tpl', 'google_analytics', 'user_data/plugins/google_analytics/ga.php', 1);
 \ No newline at end of file
@@ -235,5 +236,5 @@
 --- html/user_data/plugins/google_analytics/classes/pages/LC_Page_Admin_GoogleAnalytics.php	(リビジョン 0)
 +++ html/user_data/plugins/google_analytics/classes/pages/LC_Page_Admin_GoogleAnalytics.php	(リビジョン 0)
-@@ -0,0 +1,139 @@
+@@ -0,0 +1,141 @@
 +<?php
 +/*
@@ -302,4 +303,6 @@
 +     * 登録に失敗し, GET パラメータ "mode" の値が failure の場合は
 +     * 「登録に失敗しました」というメッセージをポップアップで表示する.
++     *
++     * TODO Transaction Token を使用する
 +     *
 +     * @return void
@@ -436,5 +439,5 @@
 Index: html/install/sql/insert_data.sql
 ===================================================================
---- html/install/sql/insert_data.sql	(リビジョン 18218)
+--- html/install/sql/insert_data.sql	(リビジョン 18229)
 +++ html/install/sql/insert_data.sql	(作業コピー)
 @@ -1114,5 +1114,8 @@
@@ -449,20 +452,20 @@
 Index: data/Smarty/templates/default/admin/main_frame.tpl
 ===================================================================
---- data/Smarty/templates/default/admin/main_frame.tpl	(リビジョン 18218)
+--- data/Smarty/templates/default/admin/main_frame.tpl	(リビジョン 18229)
 +++ data/Smarty/templates/default/admin/main_frame.tpl	(作業コピー)
-@@ -112,6 +112,10 @@
-     <li id="navi-ownersstore" class="<!--{if $tpl_mainno eq "ownersstore"}-->on<!--{/if}-->">
+@@ -113,6 +113,10 @@
          <a><span>OWNERS STORE</span></a>
          <!--{include file="`$smarty.const.TEMPLATE_ADMIN_DIR`ownersstore/subnavi.tpl"}-->
-+    </li>
+     </li>
 +    <li id="navi-plugin" class="<!--{if $tpl_mainno eq "plugin"}-->on<!--{/if}-->">
 +      <a><span>プラグイン設定</span></a>
 +      <!--{include file="`$smarty.const.PLUGIN_PATH`plugin_menu.tpl"}-->
-     </li>
++    </li>
  </ul>
  <div style="clear: both;"></div>
+ <!--{* ▲NAVI *}-->
 Index: data/require_plugin.php
 ===================================================================
---- data/require_plugin.php	(リビジョン 18218)
+--- data/require_plugin.php	(リビジョン 18229)
 +++ data/require_plugin.php	(作業コピー)
 @@ -1,5 +1,39 @@
@@ -511,5 +514,5 @@
 Index: data/mtb_constants_init.php
 ===================================================================
---- data/mtb_constants_init.php	(リビジョン 18218)
+--- data/mtb_constants_init.php	(リビジョン 18229)
 +++ data/mtb_constants_init.php	(作業コピー)
 @@ -670,4 +670,10 @@
@@ -524,7 +527,29 @@
 +define("PLUGIN_URL", USER_URL . PLUGIN_DIR);
  ?>
+Index: data/require_base.php
+===================================================================
+--- data/require_base.php	(リビジョン 18229)
++++ data/require_base.php	(作業コピー)
+@@ -78,7 +78,6 @@
+ require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Session_Ex.php");
+ require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mail_Ex.php");
+ require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_Mobile_Ex.php");
+-include_once(DATA_PATH . "require_plugin.php");
+ 
+ // セッションハンドラ開始
+ $objSession = new SC_Helper_Session_Ex();
+@@ -91,6 +90,9 @@
+ $sessionFactory = SC_SessionFactory::getInstance();
+ $sessionFactory->initSession();
+ 
++// プラグインを読み込む
++include_once(DATA_PATH . "require_plugin.php");
++
+ // 絵文字変換 (除去) フィルターを組み込む。
+ ob_start(array('SC_MobileEmoji', 'handler'));
+ ?>
 Index: data/class/pages/LC_Page.php
 ===================================================================
---- data/class/pages/LC_Page.php	(リビジョン 18218)
+--- data/class/pages/LC_Page.php	(リビジョン 18229)
 +++ data/class/pages/LC_Page.php	(作業コピー)
 @@ -82,6 +82,9 @@
@@ -540,5 +565,5 @@
 Index: data/class/helper/SC_Helper_PageLayout.php
 ===================================================================
---- data/class/helper/SC_Helper_PageLayout.php	(リビジョン 18218)
+--- data/class/helper/SC_Helper_PageLayout.php	(リビジョン 18229)
 +++ data/class/helper/SC_Helper_PageLayout.php	(作業コピー)
 @@ -61,9 +61,11 @@