Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 18234)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_ReviewEdit.php	(revision 18310)
@@ -91,5 +91,5 @@
                     array("column" => "sex", "convert" => "n")
                 );
-                
+
                 // フォーム値の変換
                 $arrReview = $this->lfConvertParam($_POST, $arrRegistColumn);
@@ -105,12 +105,12 @@
                     // レビュー情報の更新
                     $this->lfRegistReviewData($arrReview, $arrRegistColumn);
-                    
+
                     // レビュー情報のDB取得
                     $this->arrReview = $this->lfGetReviewData($arrReview['review_id']);
-                    
+
                     $this->tpl_onload = "alert('登録が完了しました。');";
                 }
                 break;
-            
+
             default:
                 // レビュー情報のDB取得
@@ -131,5 +131,4 @@
         parent::destroy();
     }
-
 
     /**
@@ -187,9 +186,8 @@
         $where = "A.del_flg = 0 AND B.del_flg = 0 AND review_id = ? ";
         $arrReview = $this->objQuery->select($select, $from, $where, array($review_id));
-        
         if (empty($arrReview)) {
             SC_Utils_Ex::sfDispError("");
         }
-        
+
         return $arrReview[0];
     }
@@ -204,5 +202,5 @@
         }
         $arrRegist['update_date'] = 'now()';
-        
+
         // 更新実行
         $this->objQuery->update("dtb_review", $arrRegist, "review_id = ?", array($arrReview['review_id']));
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/review_edit.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/review_edit.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/review_edit.tpl	(revision 18310)
@@ -22,81 +22,82 @@
  */
 *}-->
-<form name="form1" id="form1" method="post" action="?" >
-<input type="hidden" name="mode" value="complete" />
-<input type="hidden" name="review_id" value="<!--{$arrReview.review_id|escape}-->" />
-<!--{foreach key=key item=item from=$arrSearchHidden}-->
-<input type="hidden" name="<!--{$key}-->" value="<!--{$item|escape}-->" />
-<!--{/foreach}-->
-<div id="products" class="contents-main">
+<form name="form1" id="form1" method="post" action="?">
+    <input type="hidden" name="mode" value="complete" />
+    <input type="hidden" name="review_id" value="<!--{$arrReview.review_id|escape}-->" />
+    <!--{foreach key=key item=item from=$arrSearchHidden}-->
+        <input type="hidden" name="<!--{$key}-->" value="<!--{$item|escape}-->" />
+    <!--{/foreach}-->
 
-<!--▼編集テーブルここから-->
-<table>
-  <tr>
-    <th>商品名</th>
-    <td><!--{$arrReview.name|escape}--></td>
-  </tr>
-  <tr>
-    <th>レビュー表示</th>
-    <td>
-      <!--{if $arrErr.status}--><span class="attention"><!--{$arrErr.status}--></span><!--{/if}-->
-      <input type="radio" name="status" value="2" <!--{if $arrReview.status eq 2}-->checked<!--{/if}-->>非表示<!--{if $arrReview.status eq 2 && !$tpl_status_change}--><!--{else}--><input type="radio" name="status" value="1" <!--{if $arrReview.status eq 1}-->checked<!--{/if}-->>表示<!--{/if}-->
-    </td>
-  </tr>
-  <tr>
-    <th>投稿日</th>
-    <td><!--{$arrReview.create_date|sfDispDBDate}--></td>
-  </tr>
-  <tr>
-    <th>投稿者名 <span class="attention">*</span></th>
-    <td>
-      <!--{if $arrErr.reviewer_name}--><span class="attention"><!--{$arrErr.reviewer_name}--></span><!--{/if}-->
-      <input type="text" class="box60" name="reviewer_name" value="<!--{$arrReview.reviewer_name|escape}-->" style="<!--{$arrErr.reviewer_name|sfGetErrorColor}-->" size=30>
-    </td>
-  </tr>
-  <tr>
-    <th>ホームページアドレス</th>
-    <td>
-      <!--{if $arrErr.reviewer_url}--><span class="attention"><!--{$arrErr.reviewer_url}--></span><!--{/if}-->
-      <input type="text" class="box60" name="reviewer_url" maxlength="<!--{$smarty.const.URL_LEN}-->" value="<!--{$arrReview.reviewer_url|escape}-->" style="<!--{$arrErr.reviewer_url|sfGetErrorColor}-->" size=30>
-    </td>
-  </tr>
-  <tr>
-    <th>性別</th>
-    <td><!--{html_radios_ex name="sex" options=$arrSex selected=$arrReview.sex}--></td>
-  </tr>
-  <tr>
-    <th>おすすめレベル <span class="attention">*</span></th>
-    <td>
-      <!--{assign var=key value="recommend_level"}-->
-      <!--{if $arrErr[$key]}-->
-      <span class="attention"><!--{$arrErr[$key]}--></span>
-      <!--{/if}-->
-      <select name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" >
-      <option value="" selected="selected">選択してください</option>
-      <!--{html_options options=$arrRECOMMEND selected=$arrReview[$key]}-->
-      </select>
-    </td>
-  </tr>
-  <tr>
-    <th>タイトル <span class="attention">*</span></th>
-    <td>
-      <!--{if $arrErr.title}--><span class="attention"><!--{$arrErr.title}--></span><!--{/if}-->
-      <input type="text" class="box60" name="title" value="<!--{$arrReview.title|escape}-->" style="<!--{$arrErr.title|sfGetErrorColor}-->" size=30><span class="attention">
-    </td>
-  </tr>
-  <tr>
-    <th>コメント <span class="attention">*</span></th>
-    <td>
-      <!--{if $arrErr.comment}--><span class="attention"><!--{$arrErr.comment}--></span><!--{/if}-->
-      <textarea name="comment" rows="20" cols="60" class="area60" wrap="soft" style="<!--{$arrErr.comment|sfGetErrorColor}-->" ><!--{$arrReview.comment|escape}--></textarea>
-    </td>
-  </tr>
-</table>
-<!--▲編集テーブルここまで-->
+    <div id="products" class="contents-main">
 
-<div class="btn">
-  <button type="button" onclick="document.form1.action='./review.php'; fnModeSubmit('search','','');" ><span>検索画面に戻る</span></button>
-  <button type="button" onclick="fnModeSubmit('complete','','');"><span>この内容で登録する</span></button>
-</div>
-</div>
+        <!--▼編集テーブルここから-->
+        <table>
+            <tr>
+                <th>商品名</th>
+                <td><!--{$arrReview.name|escape}--></td>
+            </tr>
+            <tr>
+                <th>レビュー表示</th>
+                <td>
+                    <!--{if $arrErr.status}--><span class="attention"><!--{$arrErr.status}--></span><!--{/if}-->
+                    <input type="radio" name="status" value="2" <!--{if $arrReview.status eq 2}-->checked<!--{/if}-->>非表示<!--{if $arrReview.status eq 2 && !$tpl_status_change}--><!--{else}--><input type="radio" name="status" value="1" <!--{if $arrReview.status eq 1}-->checked<!--{/if}-->>表示<!--{/if}-->
+                </td>
+            </tr>
+            <tr>
+                <th>投稿日</th>
+                <td><!--{$arrReview.create_date|sfDispDBDate}--></td>
+            </tr>
+            <tr>
+                <th>投稿者名 <span class="attention">*</span></th>
+                <td>
+                    <!--{if $arrErr.reviewer_name}--><span class="attention"><!--{$arrErr.reviewer_name}--></span><!--{/if}-->
+                    <input type="text" class="box60" name="reviewer_name" value="<!--{$arrReview.reviewer_name|escape}-->" style="<!--{$arrErr.reviewer_name|sfGetErrorColor}-->" size=30>
+                </td>
+            </tr>
+            <tr>
+                <th>ホームページアドレス</th>
+                <td>
+                    <!--{if $arrErr.reviewer_url}--><span class="attention"><!--{$arrErr.reviewer_url}--></span><!--{/if}-->
+                    <input type="text" class="box60" name="reviewer_url" maxlength="<!--{$smarty.const.URL_LEN}-->" value="<!--{$arrReview.reviewer_url|escape}-->" style="<!--{$arrErr.reviewer_url|sfGetErrorColor}-->" size=30>
+                </td>
+            </tr>
+            <tr>
+                <th>性別</th>
+                <td><!--{html_radios_ex name="sex" options=$arrSex selected=$arrReview.sex}--></td>
+            </tr>
+            <tr>
+                <th>おすすめレベル <span class="attention">*</span></th>
+                <td>
+                    <!--{assign var=key value="recommend_level"}-->
+                    <!--{if $arrErr[$key]}-->
+                    <span class="attention"><!--{$arrErr[$key]}--></span>
+                    <!--{/if}-->
+                    <select name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" >
+                    <option value="" selected="selected">選択してください</option>
+                    <!--{html_options options=$arrRECOMMEND selected=$arrReview[$key]}-->
+                    </select>
+                </td>
+            </tr>
+            <tr>
+                <th>タイトル <span class="attention">*</span></th>
+                <td>
+                    <!--{if $arrErr.title}--><span class="attention"><!--{$arrErr.title}--></span><!--{/if}-->
+                    <input type="text" class="box60" name="title" value="<!--{$arrReview.title|escape}-->" style="<!--{$arrErr.title|sfGetErrorColor}-->" size=30><span class="attention">
+                </td>
+            </tr>
+            <tr>
+                <th>コメント <span class="attention">*</span></th>
+                <td>
+                    <!--{if $arrErr.comment}--><span class="attention"><!--{$arrErr.comment}--></span><!--{/if}-->
+                    <textarea name="comment" rows="20" cols="60" class="area60" wrap="soft" style="<!--{$arrErr.comment|sfGetErrorColor}-->" ><!--{$arrReview.comment|escape}--></textarea>
+                </td>
+            </tr>
+        </table>
+        <!--▲編集テーブルここまで-->
+
+        <div class="btn">
+            <button type="button" onclick="document.form1.action='./review.php'; fnModeSubmit('search','','');" ><span>検索画面に戻る</span></button>
+            <button type="button" onclick="fnModeSubmit('complete','','');"><span>この内容で登録する</span></button>
+        </div>
+    </div>
 </form>