Index: /branches/comu-ver2/data/class/util/SC_Utils.php
===================================================================
--- /branches/comu-ver2/data/class/util/SC_Utils.php	(revision 18293)
+++ /branches/comu-ver2/data/class/util/SC_Utils.php	(revision 18355)
@@ -2206,4 +2206,36 @@
         return defined('INSTALL_FUNCTION') && INSTALL_FUNCTION;
     }
+
+    // 郵便番号から住所の取得
+    function sfGetAddress($zipcode) {
+
+        $conn = new SC_DBconn(ZIP_DSN);
+
+        $masterData = new SC_DB_MasterData_Ex();
+        $arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
+        // インデックスと値を反転させる。
+        $arrREV_PREF = array_flip($arrPref);
+
+        // 郵便番号検索文作成
+        $zipcode = mb_convert_kana($zipcode ,"n");
+        $sqlse = "SELECT state, city, town FROM mtb_zip WHERE zipcode = ?";
+
+        $data_list = $conn->getAll($sqlse, array($zipcode));
+        if (empty($data_list)) return array();
+
+        /*
+         総務省からダウンロードしたデータをそのままインポートすると
+         以下のような文字列が入っているので 対策する。
+         ・（１・１９丁目）
+         ・以下に掲載がない場合
+        */
+        $town =  $data_list[0]['town'];
+        $town = ereg_replace("（.*）$","",$town);
+        $town = ereg_replace("以下に掲載がない場合","",$town);
+        $data_list[0]['town'] = $town;
+		$data_list[0]['state'] = $arrREV_PREF[$data_list[0]['state']];
+
+        return $data_list;
+    }
 }
 ?>
Index: /branches/comu-ver2/data/class/pages/LC_Page_InputZip.php
===================================================================
--- /branches/comu-ver2/data/class/pages/LC_Page_InputZip.php	(revision 18234)
+++ /branches/comu-ver2/data/class/pages/LC_Page_InputZip.php	(revision 18355)
@@ -53,5 +53,4 @@
      */
     function process() {
-        $conn = new SC_DBconn(ZIP_DSN);
         $objView = new SC_SiteView(false);
 
@@ -63,39 +62,16 @@
             SC_Utils::sfDispSiteError(CUSTOMER_ERROR);
         }
-        
+
         // 郵便番号検索文作成
         $zipcode = $_GET['zip1'].$_GET['zip2'];
-        $zipcode = mb_convert_kana($zipcode ,"n");
-        $sqlse = "SELECT state, city, town FROM mtb_zip WHERE zipcode = ?";
 
-        $data_list = $conn->getAll($sqlse, array($zipcode));
-        if (empty($data_list)) $data_list = array();
-
-        $masterData = new SC_DB_MasterData_Ex();
-        $arrPref = $masterData->getMasterData("mtb_pref", array("pref_id", "pref_name", "rank"));
-        // インデックスと値を反転させる。
-        $arrREV_PREF = array_flip($arrPref);
-
-        if (!empty($data_list)) {
-            $this->tpl_state = isset($arrREV_PREF[$data_list[0]['state']])
-                ? $arrREV_PREF[$data_list[0]['state']] : "";
-            $this->tpl_city = isset($data_list[0]['city']) ? $data_list[0]['city'] : "";
-            $town =  isset($data_list[0]['town']) ? $data_list[0]['town'] : "";
-        } else {
-            $town = "";
-        }
-
-        /*
-         総務省からダウンロードしたデータをそのままインポートすると
-         以下のような文字列が入っているので  対策する。
-         ・（１~１９丁目）
-         ・以下に掲載がない場合
-        */
-        $town = ereg_replace("（.*）$","",$town);
-        $town = ereg_replace("以下に掲載がない場合","",$town);
-        $this->tpl_town = $town;
+        $data_list = SC_Utils_Ex::sfGetAddress($zipcode);
 
         // 郵便番号が発見された場合
         if(!empty($data_list)) {
+            $this->tpl_state = $data_list[0]['state'];
+            $this->tpl_city = $data_list[0]['city'];
+            $this->tpl_town = $data_list[0]['town'];
+
             $func = "fnPutAddress('" . $_GET['input1'] . "','" . $_GET['input2']. "');";
             $this->tpl_onload = "$func";
Index: /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php
===================================================================
--- /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18276)
+++ /branches/comu-ver2/data/class/pages/shopping/LC_Page_Shopping_DelivAddr.php	(revision 18355)
@@ -138,5 +138,5 @@
                 // 郵便番号から住所の取得
                 if (@$this->arrForm['pref'] == "" && @$this->arrForm['addr01'] == "" && @$this->arrForm['addr02'] == "") {
-                    $address = $this->lfGetAddress($_REQUEST['zip01'].$_REQUEST['zip02']);
+                    $address = SC_Utils_Ex::sfGetAddress($_REQUEST['zip01'].$_REQUEST['zip02']);
                     $this->arrForm['pref'] = @$address[0]['state'];
                     $this->arrForm['addr01'] = @$address[0]['city'] . @$address[0]['town'];
@@ -298,33 +298,4 @@
     }
 
-    // 郵便番号から住所の取得
-    function lfGetAddress($zipcode) {
-
-        $conn = new SC_DBconn(ZIP_DSN);
-
-        // 郵便番号検索文作成
-        $zipcode = mb_convert_kana($zipcode ,"n");
-        $sqlse = "SELECT state, city, town FROM mtb_zip WHERE zipcode = ?";
-
-        $data_list = $conn->getAll($sqlse, array($zipcode));
-
-        // インデックスと値を反転させる。
-        $arrREV_PREF = array_flip($this->arrPref);
-
-        /*
-          総務省からダウンロードしたデータをそのままインポートすると
-          以下のような文字列が入っているので	対策する。
-          ・（１・１９丁目）
-          ・以下に掲載がない場合
-        */
-        $town =  $data_list[0]['town'];
-        $town = ereg_replace("（.*）$","",$town);
-        $town = ereg_replace("以下に掲載がない場合","",$town);
-        $data_list[0]['town'] = $town;
-        $data_list[0]['state'] = $arrREV_PREF[$data_list[0]['state']];
-
-        return $data_list;
-    }
-
     /* 別のお届け先住所を一時受注テーブルへ */
     function lfRegistOtherDelivData($uniqid, $objCustomer, $other_deliv_id) {
Index: /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php
===================================================================
--- /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php	(revision 18353)
+++ /branches/comu-ver2/data/class/pages/entry/LC_Page_Entry.php	(revision 18355)
@@ -469,5 +469,5 @@
 
                     if (@$this->arrForm['pref'] == "" && @$this->arrForm['addr01'] == "" && @$this->arrForm['addr02'] == "") {
-                        $address = $this->lfGetAddress($_REQUEST['zip01'].$_REQUEST['zip02']);
+                        $address = SC_Utils_Ex::sfGetAddress($_REQUEST['zip01'].$_REQUEST['zip02']);
                         $this->pref = @$address[0]['state'];
                         $this->addr01 = @$address[0]['city'] . @$address[0]['town'];
@@ -836,33 +836,4 @@
     // {{{ mobile functions
 
-    // 郵便番号から住所の取得
-    function lfGetAddress($zipcode) {
-
-        $conn = new SC_DBconn(ZIP_DSN);
-
-        // 郵便番号検索文作成
-        $zipcode = mb_convert_kana($zipcode ,"n");
-        $sqlse = "SELECT state, city, town FROM mtb_zip WHERE zipcode = ?";
-
-        $data_list = $conn->getAll($sqlse, array($zipcode));
-
-        // インデックスと値を反転させる。
-        $arrREV_PREF = array_flip($this->arrPref);
-
-        /*
-         総務省からダウンロードしたデータをそのままインポートすると
-         以下のような文字列が入っているので	対策する。
-         ・（１・１９丁目）
-         ・以下に掲載がない場合
-        */
-        $town =  $data_list[0]['town'];
-        $town = ereg_replace("（.*）$","",$town);
-        $town = ereg_replace("以下に掲載がない場合","",$town);
-        $data_list[0]['town'] = $town;
-        $data_list[0]['state'] = $arrREV_PREF[$data_list[0]['state']];
-
-        return $data_list;
-    }
-
     //---- 入力エラーチェック
     function lfErrorCheck1($array) {