Index: /branches/comu-ver2/data/class/pages/LC_Page_Sitemap.php
===================================================================
--- /branches/comu-ver2/data/class/pages/LC_Page_Sitemap.php	(revision 18234)
+++ /branches/comu-ver2/data/class/pages/LC_Page_Sitemap.php	(revision 18397)
@@ -252,10 +252,10 @@
             $page["update_date"] = $row['update_date'];
             
-            $page["url"] = SITE_URL . 'products/detail.php?product_id=' . $row['product_id'];
+            $page["url"] = DETAIL_P_HTML . $row['product_id'];
             $arrRet[] = $page;
             
             // モバイルサイト
             if (USE_MOBILE !== false) {
-                $page["url"] = MOBILE_SITE_URL . 'products/detail.php?product_id=' . $row['product_id'];
+                $page["url"] = MOBILE_DETAIL_P_HTML . $row['product_id'];
                 $arrRet[] = $page;
             }
Index: /branches/comu-ver2/data/Smarty/templates/default/mobile/frontparts/bloc/best5.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mobile/frontparts/bloc/best5.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mobile/frontparts/bloc/best5.tpl	(revision 18397)
@@ -27,5 +27,5 @@
 
 <!-- ▼おすすめ商品コメント ここから -->
-<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->">
+<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->">
 <!--{$arrProduct.comment|escape|nl2br}--></a>
 <!-- ▲おすすめ商品コメント ここまで -->
Index: /branches/comu-ver2/data/Smarty/templates/default/mobile/products/list.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mobile/products/list.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mobile/products/list.tpl	(revision 18397)
@@ -56,7 +56,7 @@
 <div align="right">
 <!--{if $i+1<9}-->
-<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->" accesskey="<!--{$i+1}-->">商品詳細へ→</a>
+<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->" accesskey="<!--{$i+1}-->">商品詳細へ→</a>
 <!--{else}-->
-<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->">商品詳細へ→</a>
+<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->">商品詳細へ→</a>
 <!--{/if}-->
 </div>
Index: /branches/comu-ver2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mobile/mypage/history_detail.tpl	(revision 18397)
@@ -50,5 +50,5 @@
 <!--{section name=cnt loop=$arrDisp.quantity}-->
 <!--{$arrDisp.product_name[cnt]|escape}--><br>
-<a href="<!--{$smarty.const.MOBILE_URL_DIR}-->products/detail.php?product_id=<!--{$arrDisp.product_id[cnt]}-->">商品購入詳細→</a><br>
+<a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrDisp.product_id[cnt]|escape:url}-->">商品詳細→</a><br>
 <!--{/section}-->
 <br>
Index: /branches/comu-ver2/data/Smarty/templates/default/mobile/cart/index.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mobile/cart/index.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mobile/cart/index.tpl	(revision 18397)
@@ -54,5 +54,5 @@
 		<!--{* 合計 *}-->
 		小計:<!--{$arrProductsClass[cnt].total_pretax|number_format}-->円<br>
-		<div align="right"><a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProductsClass[cnt].product_id}-->">商品購入詳細へ→</a></div>
+		<div align="right"><a href="<!--{$smarty.const.MOBILE_DETAIL_P_HTML}--><!--{$arrProductsClass[cnt].product_id|escape:url}-->">商品詳細へ→</a></div>
 		<HR>
 	<!--{/section}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/list.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 18294)
+++ /branches/comu-ver2/data/Smarty/templates/default/list.tpl	(revision 18397)
@@ -202,5 +202,5 @@
             <div class="listphoto">
                 <!--★画像★-->
-            <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->" class="over"><!--商品写真--><img src="<!--{$smarty.const.IMAGE_SAVE_URL|sfTrimURL}-->/<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->" alt="<!--{$arrProduct.name|escape}-->" class="picture" /></a>
+                <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->" class="over"><!--商品写真--><img src="<!--{$smarty.const.IMAGE_SAVE_URL|sfTrimURL}-->/<!--{$arrProduct.main_list_image|sfNoImageMainList|escape}-->" alt="<!--{$arrProduct.name|escape}-->" class="picture" /></a>
             </div>
             
@@ -223,5 +223,5 @@
                 <!--★商品名★-->
                 <h3>
-                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->" name="product<!--{$arrProduct.product_id}-->"><!--{$arrProduct.name|escape}--></a>
+                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->" name="product<!--{$arrProduct.product_id}-->"><!--{$arrProduct.name|escape}--></a>
                 </h3>
                 
@@ -245,7 +245,7 @@
                     <!--★詳細ボタン★-->
                     <span class="btnbox">
-                    <!--{assign var=name value="detail`$id`"}-->
-                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id}-->" onmouseover="chgImg('<!--{$TPL_DIR}-->img/products/b_detail_on.gif','<!--{$name}-->');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/products/b_detail.gif','<!--{$name}-->');">
-                        <img src="<!--{$TPL_DIR}-->img/products/b_detail.gif" width="115" height="25" alt="詳しくはこちら" name="<!--{$name}-->" id="<!--{$name}-->" /></a>
+                        <!--{assign var=name value="detail`$id`"}-->
+                        <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrProduct.product_id|escape:url}-->" onmouseover="chgImg('<!--{$TPL_DIR}-->img/products/b_detail_on.gif','<!--{$name}-->');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/products/b_detail.gif','<!--{$name}-->');">
+                            <img src="<!--{$TPL_DIR}-->img/products/b_detail.gif" width="115" height="25" alt="詳しくはこちら" name="<!--{$name}-->" id="<!--{$name}-->" /></a>
                     </span>
                 </p>
Index: /branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/bloc/best5.tpl	(revision 18397)
@@ -30,9 +30,9 @@
     <div class="recomendleft">
 
-      <a href="<!--{$smarty.const.URL_DIR}-->products/detail.php?product_id=<!--{$arrBestProducts[cnt].product_id}-->">
+      <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[cnt].product_id|escape:url}-->">
         <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrBestProducts[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[cnt].name|escape}-->" /></a>
 
       <h3>
-        <a href="<!--{$smarty.const.URL_DIR}-->products/detail.php?product_id=<!--{$arrBestProducts[cnt].product_id}-->"><!--{$arrBestProducts[cnt].name|escape}--></a>
+        <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[cnt].product_id|escape:url}-->"><!--{$arrBestProducts[cnt].name|escape}--></a>
       </h3>
 
@@ -51,9 +51,9 @@
       <!--{if $arrBestProducts[$cnt2]|count > 0}-->
 
-      <a href="<!--{$smarty.const.URL_DIR}-->products/detail.php?product_id=<!--{$arrBestProducts[$cnt2].product_id}-->">
+      <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[$cnt2].product_id|escape:url}-->">
         <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrBestProducts[$cnt2].main_list_image|sfNoImageMainList|escape}-->&amp;width=48&amp;height=48" alt="<!--{$arrBestProducts[$cnt2].name|escape}-->" /></a>
 
       <h3>
-      <a href="<!--{$smarty.const.URL_DIR}-->products/detail.php?product_id=<!--{$arrBestProducts[$cnt2].product_id}-->"><!--{$arrBestProducts[$cnt2].name|escape}--></a>
+      <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrBestProducts[$cnt2].product_id|escape:url}-->"><!--{$arrBestProducts[$cnt2].name|escape}--></a>
       </h3>
 
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/favorite.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/favorite.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/favorite.tpl	(revision 18397)
@@ -59,6 +59,6 @@
       <tr>
        <td><a href="javascript:fnModeSubmit('delete_favorite','product_id','<!--{$product_id|escape}-->');">削除</a></td>
-       <td><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$product_id|escape}-->"><img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrFavorite[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65"></a></td>
-       <td><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$product_id|escape}-->"><!--{$arrFavorite[cnt].name}--></a></td>
+       <td><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$product_id|escape:url}-->"><img src="<!--{$smarty.const.URL_DIR}-->resize_image.php?image=<!--{$arrFavorite[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65"></a></td>
+       <td><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$product_id|escape:url}-->"><!--{$arrFavorite[cnt].name}--></a></td>
        <td class="right sale_price">
         <span class="price">
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl	(revision 18254)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/history.tpl	(revision 18397)
@@ -58,5 +58,5 @@
       <tr>
         <td><!--{$arrDisp.product_code[cnt]|escape}--></td>
-        <td><a href="<!--{$smarty.const.URL_DIR}-->products/detail.php?product_id=<!--{$arrDisp.product_id[cnt]}-->"><!--{$arrDisp.product_name[cnt]|escape}--></a></td>
+        <td><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrDisp.product_id[cnt]|escape:url}-->"><!--{$arrDisp.product_name[cnt]|escape}--></a></td>
         <!--{assign var=price value=`$arrDisp.price[cnt]`}-->
         <!--{assign var=quantity value=`$arrDisp.quantity[cnt]`}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/detail.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 18325)
+++ /branches/comu-ver2/data/Smarty/templates/default/detail.tpl	(revision 18397)
@@ -454,10 +454,10 @@
                 <div class="whoboughtleft">
                     
-                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->">
+                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->">
                         <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
 
                     <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->
                     <!--{assign var=price02_max value=`$arrRecommend[cnt].price02_max`}-->
-                    <h3><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->"><!--{$arrRecommend[cnt].name|escape}--></a></h3>
+                    <h3><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->"><!--{$arrRecommend[cnt].name|escape}--></a></h3>
 
                     <p class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}--><span class="mini">(税込)</span>：<span class="price">
@@ -479,10 +479,10 @@
                 <div class="whoboughtright">
                     
-                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->">
+                    <a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->">
                         <img src="<!--{$smarty.const.SITE_URL}-->resize_image.php?image=<!--{$arrRecommend[cnt].main_list_image|sfNoImageMainList|escape}-->&amp;width=65&amp;height=65" alt="<!--{$arrRecommend[cnt].name|escape}-->" /></a>
                     
                     <!--{assign var=price02_min value=`$arrRecommend[cnt].price02_min`}-->
                     <!--{assign var=price02_max value=`$arrRecommend[cnt].price02_max`}-->
-                    <h3><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id}-->"><!--{$arrRecommend[cnt].name|escape}--></a></h3>
+                    <h3><a href="<!--{$smarty.const.DETAIL_P_HTML}--><!--{$arrRecommend[cnt].product_id|escape:url}-->"><!--{$arrRecommend[cnt].name|escape}--></a></h3>
 
                     <p class="sale_price"><!--{$smarty.const.SALE_PRICE_TITLE}--><span class="mini">(税込)</span>：<span class="price">